/*===========================================================================
 *
 * File:	Dfto3ds.H
 * Author:	Dave Humphrey (uesp@m0use.net)
 * Created On:	Saturday, June 23, 2001
 *
 * Defines the CDfto3dsApp class.
 *
 *=========================================================================*/
#ifndef __DFTO3DS_H
#define __DFTO3DS_H

/*===========================================================================
 *
 * Begin Required Include Files
 *
 *=========================================================================*/
#ifndef __AFXWIN_H__
  #error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h" 
/*===========================================================================
 *		End of Required Include Files
 *=========================================================================*/


/*===========================================================================
 *
 * Class CDfto3dsApp Definition
 *
 *=========================================================================*/
class CDfto3dsApp : public CWinApp {

public:
  CDfto3dsApp();

	/* ClassWizard generated virtual function overrides */
  //{{AFX_VIRTUAL(CDfto3dsApp)
public:
  virtual BOOL InitInstance();
  //}}AFX_VIRTUAL

	/* Implementation */
public:
  //{{AFX_MSG(CDfto3dsApp)
  afx_msg void OnAppAbout();
  afx_msg void OnFileOpen();
	afx_msg void OnContextHelp();
	//}}AFX_MSG

  DECLARE_MESSAGE_MAP()
 };
/*===========================================================================
 *		End of Class CDfto3dsApp
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Global Function Prototypes
 *
 *=========================================================================*/

	/* Get/set registry strings */
  CString GetExport3DSPath (void);
  CString GetExportDXFPath (void);
  CString GetOpenFilePath  (void);
  void    SetExport3DSPath (const CString& Path);
  void    SetExportDXFPath (const CString& Path);
  void    SetOpenFilePath  (const CString& Path);

/*===========================================================================
 *		End of Global Function Prototypes
 *=========================================================================*/

//{{AFX_INSERT_LOCATION}}
//}}AFX_INSERT_LOCATION

#endif
/*===========================================================================
 *		End of File Dfto3ds.H
 *=========================================================================*/
