/*===========================================================================
 *
 * File:	Mainfrm.H
 * Author:	Dave Humphrey (uesp@m0use.net)
 * Created On:	Saturday, June 23, 2001
 *
 * Description
 *
 *=========================================================================*/
#ifndef __MAINFRM_H
#define __MAINFRM_H

	
/*===========================================================================
 *
 * Class CMainFrame Definition
 *
 *=========================================================================*/
class CMainFrame : public CFrameWnd {

protected:  

	/* Control bar embedded members */
  CStatusBar  m_wndStatusBar;
  CToolBar    m_wndToolBar;

	
protected: 

	/* Create from serialization only */
  CMainFrame();
  DECLARE_DYNCREATE(CMainFrame)

public:

	/* ClassWizard generated virtual function overrides */
  //{{AFX_VIRTUAL(CMainFrame)
  virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
  //}}AFX_VIRTUAL

public:
  virtual ~CMainFrame();

#ifdef _DEBUG
  virtual void AssertValid() const;
  virtual void Dump(CDumpContext& dc) const;
#endif


	/* Generated message map functions */
protected:
  //{{AFX_MSG(CMainFrame)
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnHelpIndex();
  //}}AFX_MSG

  DECLARE_MESSAGE_MAP()
 };
/*===========================================================================
 *		End of Class CMainFrame
 *=========================================================================*/

//{{AFX_INSERT_LOCATION}}
//}}AFX_INSERT_LOCATION

#endif
/*===========================================================================
 *		End of File Mainfrm.H
 *=========================================================================*/
